#
# spec file for package python-grequests
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-grequests
Version:        0.2.0
Release:        5.2
Summary:        Requests + Gevent
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            https://github.com/kennethreitz/grequests
Source:         http://pypi.python.org/packages/source/g/grequests/grequests-%{version}.tar.gz
Source1:        LICENSE
BuildRequires:  python-devel
BuildRequires:  python-gevent
BuildRequires:  python-requests >= 1.0.0
BuildRequires:  python-setuptools
Requires:       python-gevent
Requires:       python-requests >= 1.0.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
GRequests allows you to use Requests with Gevent to make asyncronous HTTP
Requests easily.

Usage
-----

Usage is simple::

    import grequests

    urls = [
        'http://www.heroku.com',
        'http://tablib.org',
        'http://httpbin.org',
        'http://python-requests.org',
        'http://kennethreitz.com'
    ]

Create a set of unsent Requests::

    >>> rs = (grequests.get(u) for u in urls)

Send them all at the same time::

    >>> grequests.map(rs)
    [<Response [200]>, <Response [200]>, <Response [200]>, <Response [200]>, <Response [200]>]

%prep
%setup -q -n grequests-%{version}
cp %{SOURCE1} .

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst LICENSE
%{python_sitelib}/*

%changelog
* Wed May  6 2015 benoit.monin@gmx.fr
- update to version 0.2.0:
  * no changelog available
- add python-requests as a runtime dependency
- add python-gevent and python-requests as build dependencies to
  ensure their availability
- rename README to README.rst to follow upstream
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Jun  6 2012 saschpe@suse.de
- Clarify licensing. According to the author it's BSD-2-Claus (see
  https://github.com/kennethreitz/grequests/issues/7)
* Wed May 30 2012 saschpe@suse.de
- Initial version
